Subject: [[email-masked]: Re: 2.1.5 FvwmWinList button text]

From: Dominik Vogt <[email-masked]>
Date: Sun, 21 Mar 1999 22:51:27 +0100

----- Forwarded message from Nadim Saeed <[email-masked]> -----

From: Nadim Saeed <[email-masked]>
Date: Wed, 16 Dec 1998 09:57:44 -0800 (XXX)
To: [email-masked]
Subject: Re: 2.1.5 FvwmWinList button text
In-Reply-To: <[email-masked]>
X-Mailer: VM 6.62 under Emacs 19.34.1
Precedence: list
X-Majordomo: 1.94.jlt7

On Wed - December.16.1998 [18:10:11 +0100],
 Dominik Vogt ([email-masked]) wrote:
 > On Wed, Dec 16, 1998 at 09:03:33AM -0800, [email-masked] wrote:
 > > On Tue - December.15.1998 [21:27:16 +0100],
 > > I'm not quite sure what this addition really buys you.  I have MINI_ICONS
 > > defined (ie. they are #define'd to 1), yet I don't use them, which leads me to
 > > the question above - what for ?
 > > 
 > > BTW: I'm just trying to understand the code better (the comments are rather
 > >      scarce and the variable names not very descriptive in alot of the
 > >      places (I was never a believer in "magic numbers" either ;-)
 > > 
 > > If its a matter of padding space around the mini-icons, well can't that be
 > > done at the same point that the mini-icon itself is added to the button (BTW:
 > > I don't see how that is done in the code either).  In other words, why not do
 > > the padding/addition at the point when the mini-icons themselves are to be
 > > added ?
 > 
 > There is no padding. There is extra space reserved for the mini
 > icons. The extra space is not removed if you have no mini icons.
 > Even if you compiled without them (until I patched it).
 > 
 > Bye
 > 
 > Dominik

I see, but I would still argue that the extra space is NOT needed regardless
of whether one has MINI_ICONS defined or not.  The WinList is dynamically
sized and so if MINI_ICONS are all of a sudden included the size would
(should) increase on a need basis.  In other words,

--> spawn an xterm titled "XTERM"
--> note WinList size
--> spawn an xterm titled "LONGER.XTERM"
--> note again WinList size; its increased to accommodate the longer string.

I would assume MINI_ICONS could take the same approach with the extra spaces
coming in _only_ when they are needed and being excluded otherwise
irrespective of whether one compiled with MINI_ICONs or not.

Am I completely 'out to pasture' on this ?

 - Nadim
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked].

----- End forwarded message -----

Bye

Dominik

--
Dominik Vogt, [email-masked]
Reply-To: [email-masked]

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]